Bug 471692 - include DirectoryIndex in gitweb httpd-config
include DirectoryIndex in gitweb httpd-config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 19:52 EST by Gerd v. Egidy
Modified: 2013-01-10 05:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-11 22:09:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd v. Egidy 2008-11-14 19:52:56 EST
When using the /etc/httpd/conf.d/git.conf that is currently provided with the gitweb-package, you have to open
http://<server>/git/gitweb.cgi

Adding the .../gitweb.cgi makes the URL longer and more complex.

So I propose to change the config like this:

Alias /git /var/www/git

<Directory /var/www/git>
  Options +ExecCGI
  AddHandler cgi-script .cgi
  DirectoryIndex gitweb.cgi
</Directory>

Adding the DirectoryIndex-directive makes it possible to call
http://<server>/git
which makes the urls shorter and easier to use.
Comment 1 Bug Zapper 2008-11-26 00:24:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Todd Zullinger 2009-01-11 22:09:32 EST
Gerd,

This is fixed in the rawhide packages now.  It will hopefully find its way into an F-10 update at some point.  Thanks!
Comment 3 Gerd v. Egidy 2009-01-12 11:38:09 EST
Hi Todd,

just took a look at 1.6.1-1.fc11 in koji and it looks good. Thank you for adding this.

Note You need to log in before you can comment on or make changes to this bug.